Subject: Re: [Fecframe] AD review: draft-ietf-fecframe-config-signaling-04

From: "David Harrington" <[email-masked]>
Date: Fri, 27 May 2011 14:45:46 -0400

Hi Ali,

will you have a chance to work on this soon? 
I think these are almost all fairly simple editorial changes.
Fixing these should make it easier to get through IESG Eval.

Thanks,
David Harrington
Director, IETF Transport Area
[email-masked] (preferred for ietf)
[email-masked]
+1 603 828 1401 (cell)

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of David Harrington
> Sent: Tuesday, April 19, 2011 7:06 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Fecframe] AD review:
draft-ietf-fecframe-config-signaling-04
> 
> Hi,
> 
> I have performed AD Review on
draft-ietf-fecframe-config-signaling-04.
> 
> -- Technical and/or process concerns:
> 
> 1) please check id-nits. There are some reported problems with
> references, and example addresses.
> 
> 2) Why is this document being requested to be published as
> Experimental? Is there a lack of WG consensus for this design, or
the
> protocols discussed? If so, the concerns that prevent consensus from
> being reached should be discussed,
> probably with an explanation in the Introduction that this is an
> Experimental proposal, not a standard.
> 
> 3) In section 5.1, provide a reference explaining the UDP port 9875.
> If this is IANA-assigned, please describe this in the IANA
> Considerations section.
> 
> 4) In the last paragraph of 5.1, when a delete has been received,
the
> receiver SHOULD no longer use the config info. Why is this not a
MUST?
> 
> 5) in 5.2, the assertion is made that using a generic protocol is
> "under investigation and may be covered by a separate document."
Where
> is this under investigation? What document do you think will cover
> this?
> 
> 6) It helps IANA if you identify by URL the registry you want
modified
> (http://www.iana.org/assignments/rtsp-parameters/rtsp-parameters.xml
> RTSP/1.0 Option Tags), and include the specific fields that require
> filling.
> 
> 7) The IANA considerations refer to section 4.2.2, but there is no
> section 4.2.2 in this document.
> 
> Editorial comments:
> "Independent of what all encoding formats supported by an FEC
scheme,"
> should be reworded.
> 
> section 5 uses a numbering scheme of (i), (b), (c). I suspect the
> first should be (a).
> 
> I don't understand the topology pictured in Figure 1. I understand
the
> text, but the figure doesn't convey the topology very well.
> 
> The "simpler method" description in section 5.1.1 could use some
> English language cleanup.
> 
> 
> 
> 
> 
> 
> David Harrington
> Director, IETF Transport Area
> [email-masked] (preferred for ietf)
> [email-masked]
> +1 603 828 1401 (cell)
> 
> _______________________________________________
> Fecframe mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/fecframe
>

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Fri, 27 May 2011 12:10:29 -0700

Hi David, 

I and then Vincent sent some comments to your email. Did you see them? I was waiting for your response back.

Thanks.
-acbegen

> From: [email-masked] [mailto:[email-masked]] On Behalf Of David Harrington
> Sent: Friday, May 27, 2011 2:46 PM
> To: 'David Harrington'; [email-masked]
> Subject: Re: [Fecframe] AD review: draft-ietf-fecframe-config-signaling-04
> 
> Hi Ali,
>

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Fri, 27 May 2011 12:23:17 -0700

I apologize. I thought David was referring to the framework draft below when I saw "Hi Ali" but this draft belongs to Rajiv.

-acbegen

> From: [email-masked] [mailto:[email-masked]] On Behalf Of Ali C. Begen (abegen)
> Sent: Friday, May 27, 2011 3:10 PM
> To: David Harrington; [email-masked]

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Mon, 30 May 2011 22:01:55 -0500

Hi David,

Thank you so much for your review and feedback. Sorry about the delay in
getting back to you.

I have incorporated your feedback in -05 version of the document. Would
be glad to incorporate any other comments you may have. 

Responding to your comments one-by-one:
1. Fixed the nits.
2. Fixed. Good catch, btw. The WGLC had concluded it being a PS. 
3. UDP port 9875 is already IANA assigned for SAP. I have left the
section 7 (IANA consideration) unchanged, but updated section 5.1 with
the reference to RFC2974 and moved the whole para under the 1st para.
4. Fixed. Good catch.
5. Fixed.
	Aaah. That was a left-over from the discussion we had ~3yrs ago.

	It needed to be removed. Fixed the sentence. 
6. Is the updated IANA section good enough?
7. Fixed. It was supposed to be section 5.2.2.

Accommodated the editorial comments.

> Editorial comments:
> "Independent of what all encoding formats supported by an FEC scheme,"
> should be reworded.

Fixed. Reworded to " Independent of the encoding formats supported..."
	
> section 5 uses a numbering scheme of (i), (b), (c). I suspect the

Fixed. Good catch.

> I don't understand the topology pictured in Figure 1. I understand the

Would appreciate any suggestion you may have.

> English language cleanup.

Fixed, but if you have further suggestions, then please don't hesitate.

Cheers,
Rajiv

~~~
June 8, 2011 is the "World IPv6 Day" (http://isoc.org/wp/worldipv6day/)

> From: David Harrington [mailto:[email-masked]]
> Subject: AD review: draft-ietf-fecframe-config-signaling-04
> 
> Hi,
> 
> I have performed AD Review on draft-ietf-fecframe-config-signaling-04.
> 
> Experimental? Is there a lack of WG consensus for this design, or the
> 4) In the last paragraph of 5.1, when a delete has been received, the
> receiver SHOULD no longer use the config info. Why is this not a MUST?
> 
> "under investigation and may be covered by a separate document." Where
> 6) It helps IANA if you identify by URL the registry you want modified
> "Independent of what all encoding formats supported by an FEC scheme,"
> should be reworded.
> 	
> I don't understand the topology pictured in Figure 1. I understand the